## Apache Zeta Components Manual :: Docs For Class ezcGraphContext

### Graph::ezcGraphContext

### Class ezcGraphContext

Struct to represent the context of a renderer operation

Objects of this class are passed to the renderer, so the renderer is able to maintain the associations between image primitives and the datpoints. With this information the renderer build the array returned by the getElementReferences() method of the ezcGraphRenderer classes. In the returned array the datapoints are then associated with the identifiers for the image primitives returned by the respective driver.

The ezcGraphTools class offers convience methods to handle this data and enrich your charts with hyperlinks, so you don't need to handle this yourself.

The struct contains information about the $dataset and $datapoint the image primitive is associated with. If the dataset or datapoint has an URL associated, this URL is also available in the context struct.

Source for this file: /Graph/src/structs/context.php

    ezcBaseStruct
       |
       --ezcGraphContext

Version: | //autogentag//

### Member Variables

public string | `$datapoint = false` Name of datapoint
public string | `$dataset = false` Name of dataset
public string | `$url` Associated URL for datapoint

Documentation generated by phpDocumentor 1.4.3